import numpy as np

name = "Never Retrain"


def run(*args, **kwargs) -> dict:
    """A simple strategy to never retrain

    Returns:
        dict: the strategy result dictionary
    """
    result = {"retrains": [0], "num_retrains": 0, "parameters": {}}
    return result


def optimize(*args, **kwargs):
    return run(*args, **kwargs)
